%define name	libgsasl
%define version	1.8.0
%define release	%mkrel 3
%define major 7
%define libname %mklibname gsasl %major
%define develname %mklibname -d gsasl

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Implementation of the Simple Authentication and Security Layer framework
License:	LGPLv2+
Group:		System/Libraries
Source:		ftp://ftp.gnu.org/gnu/gsasl/%{name}-%{version}.tar.gz
URL:		http://www.gnu.org/software/gsasl/
BuildRequires:	libntlm-devel

%description
GNU SASL is an implementation of the Simple Authentication and 
Security Layer framework and a few common SASL mechanisms. SASL 
is used by network servers (e.g., IMAP, SMTP) to request 
authentication from clients, and in clients to authenticate against 
servers.

%files -f %name.lang
%defattr(-,root,root)

#--------------------------------------------------------------------

%package -n %libname
Group: System/Libraries
Summary: Implementation of the Simple Authentication and Security Layer framework

%description -n %libname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %libname
%defattr(-,root,root)
%_libdir/libgsasl.so.%{major}
%_libdir/libgsasl.so.%{major}.*

#--------------------------------------------------------------------

%package -n %develname
Group: Development/C
Summary: Implementation of the Simple Authentication and Security Layer framework
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %develname
GNU SASL is an implementation of the Simple Authentication and
Security Layer framework and a few common SASL mechanisms. SASL
is used by network servers (e.g., IMAP, SMTP) to request
authentication from clients, and in clients to authenticate against
servers.

%files -n %develname
%defattr(-,root,root)
%_libdir/pkgconfig/libgsasl.pc
%_libdir/libgsasl.so
%_includedir/gsasl-compat.h
%_includedir/gsasl-mech.h
%_includedir/gsasl.h

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
%find_lang %name

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.8.0-3.mga4
+ Revision: 507061
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.8.0-2.mga3
+ Revision: 357384
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 1.8.0-1.mga3
+ Revision: 257664
- new version 1.8.0

* Sun Jan 22 2012 fwang <fwang> 1.6.1-1.mga2
+ Revision: 199391
- new version 1.6.1

* Thu Mar 24 2011 boklm <boklm> 1.6.0-2.mga1
+ Revision: 76171
- rebuild for bug #497

* Fri Mar 11 2011 mikala <mikala> 1.6.0-1.mga1
+ Revision: 68121
- Update tarball to 1.6.0
- Add libntlm-devel as BuildRequires
- Remove BuildRoot
- imported package libgsasl


* Mon Sep 27 2010 John Balcaen <mikala@mandriva.org> 1.4.4-1mdv2011.0
+ Revision: 581404
- Update to 1.4.4
- Use last stable release and update SOURCE url

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.29-1mdv2010.0
+ Revision: 383251
- update to new version 0.2.29

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 0.2.28-1mdv2009.0
+ Revision: 282158
- New version 0.2.28

* Sun Aug 17 2008 Emmanuel Andry <eandry@mandriva.org> 0.2.27-1mdv2009.0
+ Revision: 272932
- New version

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.2.9-1mdv2008.1
+ Revision: 177077
- import libgsasl


